MainPanel (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.panels
Class MainPanel

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.widgets.panels.MainPanel

    public abstract class MainPanel

extends Object

Constructor Summary
`MainPanel(int size, String title, com.extjs.gxt.ui.client.Style.LayoutRegion position)`
`MainPanel(int size, com.extjs.gxt.ui.client.Style.LayoutRegion position)`
`MainPanel(com.extjs.gxt.ui.client.Style.LayoutRegion position)`

Method Summary
`void` | `add(com.google.gwt.user.client.ui.Widget w, boolean removeOthers)`
`com.extjs.gxt.ui.client.widget.LayoutContainer` | `getContainer()`
`com.extjs.gxt.ui.client.widget.layout.BorderLayoutData` | `getLayout()`
`void` | `hideHeader()` Requires the following lines in the .css
`abstract void` | `init()`
`void` | `removeAll()`
`void` | `setBottomComponent(com.extjs.gxt.ui.client.widget.Component component)`
`void` | `setCollapsible(boolean collapsible)`
`void` | `setFloatable(boolean floatable)`
`void` | `setMargins(com.extjs.gxt.ui.client.util.Margins margins)`
`void` | `setSplit(boolean split)`
`void` | `setTopComponent(com.extjs.gxt.ui.client.widget.Component component)`
`void` | `showHeader(boolean showHeader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainPanel

    public MainPanel(com.extjs.gxt.ui.client.Style.LayoutRegion position)

### MainPanel

    public MainPanel(int size,
                     com.extjs.gxt.ui.client.Style.LayoutRegion position)

### MainPanel

    public MainPanel(int size,
                     String title,
                     com.extjs.gxt.ui.client.Style.LayoutRegion position)

Method Detail

### getLayout

    public final com.extjs.gxt.ui.client.widget.layout.BorderLayoutData getLayout()

### showHeader

    public final void showHeader(boolean showHeader)

### getContainer

    public final com.extjs.gxt.ui.client.widget.LayoutContainer getContainer()

### setMargins

    public final void setMargins(com.extjs.gxt.ui.client.util.Margins margins)

### setCollapsible

    public final void setCollapsible(boolean collapsible)

### setFloatable

    public final void setFloatable(boolean floatable)

### setSplit

    public final void setSplit(boolean split)

### add

    public final void add(com.google.gwt.user.client.ui.Widget w,
                          boolean removeOthers)

### setTopComponent

    public final void setTopComponent(com.extjs.gxt.ui.client.widget.Component component)

### setBottomComponent

    public final void setBottomComponent(com.extjs.gxt.ui.client.widget.Component component)

### removeAll

    public final void removeAll()

### hideHeader

    public final void hideHeader()

  Requires the following lines in the .css

       .x-hide-panel-header {
                      display:none !important;
       }

### init

    public abstract void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.